/*
 * Vairous defines for the MMCR registers on the AMD Elan sc 520. 
 * 
 *
 */

#define MMCR_BASE_ADDR		0xFFFEF000

/* cpu things */
#define MMCR_CPU_REVID		0x0

/* gpio stuff */
#define MMCR_GPIO_ECHOMODE	0xC00	/* ext gpio freq = int gpio freq */
#define MMCR_GPIO_FUNCSEL	0xC20	/* gpio or function? */
#define MMCR_GPIO_IORO		0xC2A	/* input or output? */
#define MMCR_GPIO_DATA 		0xC30	/* current state of the pins */
#define MMCR_GPIO_SET 		0xC34	/* write a 1 to set pins */
#define MMCR_GPIO_CLEAR		0xC38	/* write a 1 to clear pins */

/* watchdog stuff */
#define MMCR_WDTMRCTL		0xCB0	/* control, 16 bits */
#define MMCR_WDTMRCNT		0xCB2	/* timer */
#define MMCR_WDTMAP		0xD42	/* interrupt mapping */
#define MMCR_RESSTA		0xD74	/* reset source status */
